from django.conf.urls import patterns, include, url

urlpatterns = patterns('vote.views',
    url(r'^system/restart/$', 'sysRestart', name='sys_restart'),
    url(r'^admin/contestant/list/$', 'ListContestants', name='contestantslist'),
    url(r'^admin/contestant/delete/id/(?P<ID>\d+)/$', 'DeleteContestant', name='ctdel'),
    url(r'^admin/photoworks/emptyxls/gen$', 'GenEmptyXLS', name='pwemptyxlsgen'),
    url(r'^admin/photoworks/list/$', 'ListPhotoWorks', name='pwlist'),
    url(r'^admin/photoworks/toplist/$', 'ListTopPhotoWorks', name='pwtoplist'),
    url(r'^admin/photoworks/delete/id/(?P<ID>\d+)/$', 'DeletePhotoWorks', name='pwdel'),
    url(r'^admin/photoworks/delete/ipid/(?P<ID>\d+)/$', 'RemovePW_ByIpid', name='pwipidrm'),
    url(r'^admin/photoworks/delete/veip/(?P<ID>\d+)/$', 'ExpPW_ByIpid', name='pwipidv'),
    url(r'^admin/photoworks/xlsadd/$', 'XLSFilePW', name='pwaddxls'),
    url(r'^admin/voterecord/list/$', 'ListVoteRecords', name='vrlist'),

    url(r'^user/view/(?P<uuid>\w*-\w*-\w*-\w*-\w*)/$', 'ViewPhotoWorks', name='pwview'),
    url(r'^user/list/$', 'FrontListPhotoWorks', name='pwflist'),
    url(r'^user/mypw/list/$', 'ListPersonalPW', name='mypwlist'),
    url(r'^opt/vote/do/(?P<uuid>\w*-\w*-\w*-\w*-\w*)/$', 'VotePhotoWorks', name='votephoto'),
    url(r'^user/vote/view/$', 'PersonalVoteRec', name='vrflist'),

)
